import LethalFantasyItemSheet from "./base-item-sheet.mjs"

export default class LethalFantasyEquipmentSheet extends LethalFantasyItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["equipment"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["equipment-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-lethal-fantasy/templates/equipment.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await foundry.applications.ux.TextEditor.implementation.enrichHTML(this.document.system.description, { async: true })
    return context
  }
}
